//      File: main.cpp
//
//      Applicazione console per la gestione di portamonete e portafogli

#include <iostream>
#include <iomanip>

#include "portafoglio.h"

using namespace std;

int main() {
	Portafoglio p;      // Oppure  Portamonete p;
	double val;
	int num;

	do {
		cout << "Valore della moneta in Euro (0 per terminare): ";
		cin >> val;
		if (val != 0.0)
			p.inserisci(val);
	}
	while (val != 0);

	cout << endl << "Risultato dell'inserimento" << endl;
	cout << "------------------------------" << endl;
	p.denaropertipo();

	cout << endl << endl << "Valore totale: ";
	cout << fixed << setprecision(2) << p.denaro() << " Euro" << endl;
	return 0;
}
