//      File: portafoglio.h
//
//      Dichiarazione della classe Portafoglio
//      (ereditata da Portamonete)

#include "portamonete.h"

class Portafoglio : public Portamonete {
private:
	int num_banconote_5euro;
	int num_banconote_10euro;
	int num_banconote_20euro;

public:
	using Portamonete::inserisci;       // Per riconoscere tutti i metodi overloaded della classe di base
	void inserisci(double valore, int n);
	double denaro();
	void denaropertipo();
	double banconote();
	Portafoglio();
	Portafoglio(int num_50cent, int num_1euro, int num_2euro, int num_5euro, int num_10euro, int num_20euro);
};

